
QGIS Application - Bug report #17636

QGIS crashes when a layer is removed while loading the attribute table

2017-12-05 06:13 PM - Alexandre Neto

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25533

Description

If you try to remove a layer while it's attribute table is still loading. QGIS Crashes.

To replicate:

- Get a layer with lots of features, and load it in QGIS

- Open the attribute table

- While it is still openning, remove the layer from the Layers panel.

I got this with a 1.5 Gb CSV from Geonames.

Associated revisions

Revision e479b715 - 2017-12-09 04:07 PM - Alessandro Pasotti 

[bugfix] Do not crash when layer is destroyed while loading

Fixes #17636 QGIS crashes when a layer is removed

while loading the attribute table

History

#1 - 2017-12-05 08:51 PM - Giovanni Manghi

- Operating System deleted (Linux - ubuntu 16.04)

- Affected QGIS version changed from master to 2.18.14

- Priority changed from Normal to High

Confirmed here with a 2GB GPKG, on Windows. It affects also 2.18.14.

#2 - 2017-12-07 11:03 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

looking ...

#3 - 2017-12-09 04:15 PM - Alessandro Pasotti

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/5831

It has been quite a challenge ...

#4 - 2017-12-11 09:01 AM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e479b715947b7c518efb0864fbf2ecf6c94378c8.

#5 - 2018-02-22 11:44 AM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/5831

